{% extends "base.html" %}

{% block head %}
{{super()}}
<link rel="stylesheet" type="text/css" href="/{{ THEME_STATIC_DIR }}/css/home-space.css" />
{% endblock head %}

{% block body_class %}list{% endblock body_class %}

{% block content %}

    <header>
        <a href="/" class="button-link pad-h">home</a>
        <div class="pad-h">everything as a list</div>
    </header>

    <ul class="articles-list">

        {% set blocks = categories|map(attribute=0)|selectattr('show_in_list', 'equalto', 'true')|list + articles|list %}
    
        {% for b in blocks|sort_by_date %}

            {% if b.status != 'hidden' %}
    
            <li id="{{b.slug}}" class="pad {% if b.thumbnail %}has-thumbnail{% endif %}">

                <div class="category">
                    {% if b.category %}
                        {{b.category}}
                    {% elif b.name %}
                        ...
                    {% endif %}
                </div>

                {% if b.tags %}<ul class="tags comma-list">{% for tag in b.tags %}<li>{{tag}}</li>{% endfor %}</ul>{% endif %}

                {% if b.thumbnail %}
                    <img class="thumbnail" src="{{b.thumbnail}}">
                {% endif %}

                <div class="item-content">
                    <h3>
                        {% if b.name %}
                            <a href="/#{{b.slug}}">{{b.name}}</a>
                        {% elif b.link %}
                            {% if b.link == "away" %}
                                <span class="away">{{b.title}}</span>
                            {% else %}
                                <a href="{{b.link}}">{{b.title}}</a>
                            {% endif %}
                        {% elif b.content != "" or b.media_urls %}
                            <a href="{{b.url}}">{{b.title}}</a>
                        {% elif b.title %}
                            {{b.title}}
                        {% endif %}
                    </h3>
                    {% if b.summary %}
                        <div class="short"> {{b.summary}} </div>
                    {% endif %}
                </div>
            
                <time class="date" datetime="{{ b.date.isoformat() }}">{{b.date|strftime('%b %Y')}}</time>

            </li>

            {% endif %}
    
        {% endfor %}
    
        </ul>

{% endblock content %}